Name:          perl-IO-Multiplex
Summary:       Manage IO on many file handles
Version:       1.16
Release:       12
License:       GPL+ or Artistic
URL:           https://metacpan.org/release/IO-Multiplex
Source0:       https://cpan.metacpan.org/authors/id/B/BB/BBB/IO-Multiplex-%{version}.tar.gz

BuildArch:     noarch
BuildRequires: perl-interpreter perl-generators perl(ExtUtils::MakeMaker) perl(Carp)
BuildRequires: perl(constant) perl(Fcntl) perl(FileHandle) perl(IO::Handle)
BuildRequires: perl(POSIX) perl(Socket) perl(strict) perl(Tie::Handle)
BuildRequires: perl(Time::HiRes) perl(vars) perl(warnings) perl(IO::Socket) perl(Test)
Requires:      perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:      perl(Time::HiRes)

%description
IO::Multiplex is designed to take the effort out of managing
multiple file handles. It is essentially a really fancy front end to
the C<select> system call. In addition to maintaining the C<select>
loop, it buffers all input and output to/from the file handles. It
can also accept incoming connections on one or more listen sockets.

%prep
%autosetup -n IO-Multiplex-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} %{buildroot}

%check
make test

%files
%doc Changes README TODO
%{perl_vendorlib}/IO/
%{_mandir}/man3/IO::Multiplex.3*

%changelog
* Fri Dec 13 2019 Jiangping Hu <hujiangping@huawei.com> - 1.16-12
- Package init
